Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1540507 - ausearch -i prints 0x0x if ioctlcmd= is part of the audit event
Summary: ausearch -i prints 0x0x if ioctlcmd= is part of the audit event
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audit
Version: 28
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-31 09:18 UTC by Milos Malik
Modified: 2018-07-19 15:39 UTC (History)
1 user (show)

Fixed In Version: audit-2.8.3-1.fc27 audit-2.8.3-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-01 19:05:48 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Milos Malik 2018-01-31 09:18:59 UTC
Description of problem:
* if you trigger an { ioctl } AVC and display it via "ausearch -m avc -i" then the ioctlcmd part of the audit event starts with 0x0x

Version-Release number of selected component (if applicable):
audit-2.8.2-1.fc27.x86_64
audit-libs-python-2.8.2-1.fc27.x86_64
audit-libs-python3-2.8.2-1.fc27.x86_64
audit-libs-2.8.2-1.fc27.x86_64

How reproducible:
* always

Actual results:
* relevant part of audit.log
type=AVC msg=audit(1517389685.161:384): avc:  denied  { ioctl } for  pid=13431 comm="pads" path="/dev/bus/usb/001/002" dev="devtmpfs" ino=12021 ioctlcmd=0x5500 scontext=system_u:system_r:pads_t:s0 tcontext=system_u:object_r:usb_device_t:s0 tclass=chr_file permissive=1

* ausearch -m avc
----
time->Wed Jan 31 04:08:05 2018
type=AVC msg=audit(1517389685.161:384): avc:  denied  { ioctl } for  pid=13431 comm="pads" path="/dev/bus/usb/001/002" dev="devtmpfs" ino=12021 ioctlcmd=0x5500 scontext=system_u:system_r:pads_t:s0 tcontext=system_u:object_r:usb_device_t:s0 tclass=chr_file permissive=1
----

* ausearch -m avc -i
----
type=AVC msg=audit(01/31/2018 04:08:05.161:384) : avc:  denied  { ioctl } for  pid=13431 comm=pads path=/dev/bus/usb/001/002 dev="devtmpfs" ino=12021 ioctlcmd=0x0x5500 scontext=system_u:system_r:pads_t:s0 tcontext=system_u:object_r:usb_device_t:s0 tclass=chr_file permissive=1 
----

Expected results:
* "0x" should be displayed only once

Comment 1 Steve Grubb 2018-02-01 07:16:32 UTC
Thanks for the report. Any chance you can repost the audit event using the --raw commandline option? This remove the light processing done by the normal display mode and give me the raw event that I can use on my system to debug it. Thanks!

Comment 3 Steve Grubb 2018-02-02 11:38:14 UTC
Thanks. This has been fixed in upstream commit:
https://github.com/linux-audit/audit-userspace/commit/71aaf242f921fa1511c424bc2f0d9f39ce4c5bb6

Comment 4 Fedora End Of Life 2018-02-20 15:37:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 5 Fedora Update System 2018-03-10 12:23:42 UTC
audit-2.8.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2c1484e4cd

Comment 6 Fedora Update System 2018-03-10 12:23:59 UTC
audit-2.8.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ea91f55218

Comment 7 Fedora Update System 2018-03-11 03:05:18 UTC
audit-2.8.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2c1484e4cd

Comment 8 Fedora Update System 2018-03-11 21:00:02 UTC
audit-2.8.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ea91f55218

Comment 9 Fedora Update System 2018-03-13 23:20:53 UTC
audit-2.8.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-03-26 21:31:50 UTC
audit-2.8.3-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2c1484e4cd

Comment 11 Fedora Update System 2018-03-27 17:52:16 UTC
audit-2.8.3-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2c1484e4cd

Comment 12 Fedora Update System 2018-04-01 19:05:48 UTC
audit-2.8.3-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.